
#!/bin/bash
# Run a check of the lists for bad urls
#
echo "Start"

listdir="/home/tomwsmf/podcasts/lists/"
dailyfeedsdir="/home/tomwsmf/podcasts/dailyfeeds/"
codedir="/home/tomwsmf/podcasts/"



function validate_url(){
  if [[ `wget -S --spider $1 2>&1 | grep '200 OK'` ]]; then
    return 1
  else
    return 0
  fi
}



FILES="$listdir"$"*txt"
for f in $FILES
do
  echo $f 
  while read url;
  do
      show=$(echo $url|tr '\r' '\n' |tr \' \" | sed -n 's/.*url="\([^"]*\)".*/\1/p')
      if validate_url $show ; then
         echo $show " -- BAD"
     fi
  done < $f
done
